LibreOffice: XSearchableDictionary Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XSearchableDictionary Interface Reference

This interfaces allows to retrieve suggestions for spell checking from a dictionary. More...

`import "XSearchableDictionary.idl";`

Inheritance diagram for XSearchableDictionary:

## Public Member Functions
sequence< com::sun::star::linguistic2::XDictionaryEntry > | searchSimilarEntries ([in] string aWord)
| search for similar entries in the dictionary.
Public Member Functions inherited from XDictionary
com::sun::star::linguistic2::DictionaryType | getDictionaryType ()
| returns the type of the dictionary.
void | setActive ([in] boolean bActivate)
| specifies whether the dictionary should be used or not .
boolean | isActive ()
long | getCount ()
com::sun::star::lang::Locale | getLocale ()
void | setLocale ([in] com::sun::star::lang::Locale aLocale)
| is used to set the language of the dictionary.
com::sun::star::linguistic2::XDictionaryEntry | getEntry ([in] string aWord)
| searches for an entry that matches the given word.
boolean | addEntry ([in] com::sun::star::linguistic2::XDictionaryEntry xDicEntry)
| is used to add an entry to the dictionary.
boolean | add ([in] string aWord, [in] boolean bIsNegative, [in] string aRplcText)
| is used to make an entry in the dictionary.
boolean | remove ([in] string aWord)
| removes an entry from the dictionary.
boolean | isFull ()
sequence< com::sun::star::linguistic2::XDictionaryEntry > | getEntries ()
void | clear ()
| removes all entries from the dictionary.
boolean | addDictionaryEventListener ([in] com::sun::star::linguistic2::XDictionaryEventListener xListener)
| adds an entry to the list of dictionary event listeners.
boolean | removeDictionaryEventListener ([in] com::sun::star::linguistic2::XDictionaryEventListener xListener)
| removes an entry from the list of dictionary event listeners.
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

This interfaces allows to retrieve suggestions for spell checking from a dictionary.

## Member Function Documentation

## ◆ searchSimilarEntries()

sequence< com::sun::star::linguistic2::XDictionaryEntry > searchSimilarEntries | ( | [in] string | aWord | ) |

search for similar entries in the dictionary.

Parameters

  aWord | the word to find similar written entries for.

Returns
  the list of similar entries found.

See also
  com::sun::star::linguistic2::XDictionaryEntry
  com::sun::star::linguistic2::XSearchableDictionaryList

Since
  OOo 3.0.1

The documentation for this interface was generated from the following file:

- com/sun/star/linguistic2/XSearchableDictionary.idl